2

I'm following the guide in XDA Link to install nexus 9 device with Ubuntu touch. But I'm stuck in the installation of tool-chain and cross compiler. I am stuck in the following

 sudo apt-get install gcc g++ git gcc-4.9-aarch64-linux-gnu g++-4.9-aarch64-linux-gnu libncurses5-dev

Throws error:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'gcc-4.9-aarch64-linux-gnu-base' for regex 'gcc-4.9-    aarch64-linux-gnu'
E: Unable to locate package g++-4.9-aarch64-linux-gnu
E: Couldn't find any package by regex 'g++-4.9-aarch64-linux-gnu'

So, I am downloading the required packages and installing manually using dpkg Is there any shortcut for this?

I tried using gdebi. But did not help much.

I am using ubuntu 14.04-64 as host machine.

  • what it's not working with that command? – AlexGreg Sep 8 '15 at 11:35
  • @AlexGreg : edited question – user1725216 Sep 8 '15 at 11:39
1

change the command with this one:

sudo apt-get install gcc g++ git gcc-*-aarch64-linux-gnu g++-*-aarch64-linux-gnu libncurses5-dev

On your system you don't have gcc-4.9-aarch64-linux-gnu. The above command will install the last actual version on your system

  • with the command, aarch64-linux-gnu-gcc-4.8 was installed. Is it okay to use older version ? – user1725216 Sep 8 '15 at 11:54
  • yes..it's working for me :-) – AlexGreg Sep 8 '15 at 12:25

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.